summaryrefslogtreecommitdiff
path: root/t/t9001-send-email.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 16:46:42 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 16:46:42 -0700
commit6f523f6d38e660edc67719fb0953d79cee3b4b1f (patch)
tree83076a723d21df25e335c917570fd617ca9dbd16 /t/t9001-send-email.sh
parentMerge branch 'sb/doc-upstream-branch' (diff)
parenttests: skip perl tests if NO_PERL is defined (diff)
downloadtgif-6f523f6d38e660edc67719fb0953d79cee3b4b1f.tar.xz
Merge branch 'jk/no-perl'
* jk/no-perl: tests: skip perl tests if NO_PERL is defined Makefile: allow building without perl
Diffstat (limited to 't/t9001-send-email.sh')
-rwxr-xr-xt/t9001-send-email.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/t9001-send-email.sh b/t/t9001-send-email.sh
index 3c90c4fc1c..d9420e0a3b 100755
--- a/t/t9001-send-email.sh
+++ b/t/t9001-send-email.sh
@@ -3,6 +3,11 @@
test_description='git send-email'
. ./test-lib.sh
+if ! test_have_prereq PERL; then
+ say 'skipping git send-email tests, perl not available'
+ test_done
+fi
+
PROG='git send-email'
test_expect_success \
'prepare reference tree' \